Appearance
Contact
Every person or company the company deals with, such as an architect or a site manager, classified by ContactTypes. A contact with the system type is a Customer too, under the same uuid.
OpenAPI Spec
List Contacts
GET
/v2/contacts
List Contacts
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Query Parameters
page
Type
number
Minimum
0Default
0size
Type
number
Minimum
1Maximum
20Default
10uuid
typeUuid
Contacts that have this type, or one of these.
number
companyName
externalId
createdAt
updatedAt
Responses
List response
application/json
JSON "page": 0, "pages": 0, "size": 10, "items": [ { "uuid": "string", "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "isDefault": true, "telephoneNumber": "string" } ], "emails": [ { "label": "main", "isDefault": true, "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string", "latitude": 0, "longitude": 0 }, "typeUuids": [ "string" ], "createdAt": "string", "updatedAt": "string" } ]
{
}
Create a new Contact
POST
/v2/contacts
Create a new Contact
Authorizations
apiKey
Type
HTTP (bearer)
Request Body
application/json
JSON "uuid": "string", "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "telephoneNumber": "string" } ], "emails": [ { "label": "main", "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string" }, "typeUuids": [ "string" ]
{
}
Responses
Contact found
application/json
JSON "uuid": "string", "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "isDefault": true, "telephoneNumber": "string" } ], "emails": [ { "label": "main", "isDefault": true, "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string", "latitude": 0, "longitude": 0 }, "typeUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}
Get a Contact
GET
/v2/contacts/{contactUuid}
Get a Contact by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
contactUuid*
Type
Requiredstring
Format
"uuid"Responses
Contact found
application/json
JSON "uuid": "string", "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "isDefault": true, "telephoneNumber": "string" } ], "emails": [ { "label": "main", "isDefault": true, "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string", "latitude": 0, "longitude": 0 }, "typeUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}
Delete a Contact
Update a Contact
PATCH
/v2/contacts/{contactUuid}
Update a Contact by ID
Authorizations
apiKey
Type
HTTP (bearer)
Parameters
Path Parameters
contactUuid*
Type
Requiredstring
Format
"uuid"Request Body
application/json
JSON "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "telephoneNumber": "string" } ], "emails": [ { "label": "main", "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string" }, "typeUuids": [ "string" ]
{
}
Responses
Contact found
application/json
JSON "uuid": "string", "number": "string", "companyName": "string", "externalId": "string", "title": "string", "salutation": "string", "firstName": "string", "surname": "string", "telephones": [ { "label": "string", "isDefault": true, "telephoneNumber": "string" } ], "emails": [ { "label": "main", "isDefault": true, "emailAddress": "string" } ], "urls": [ { "label": "homepage", "url": "string" } ], "address": { "link": "custom", "supplement": "string", "street": "string", "clarification": "string", "zip": "string", "city": "string", "state": "string", "country": "string", "externalId": "string", "latitude": 0, "longitude": 0 }, "typeUuids": [ "string" ], "createdAt": "string", "updatedAt": "string"
{
}